# Ogre::Font::GlyphInfo Struct Reference

Information about the position and size of a glyph in a texture. More...

`#include <OgreFont.h>`

List of all members.

## Public Member Functions

| GlyphInfo (CodePoint id, const UVRect &rect, Real aspect)

## Public Attributes

CodePoint | codePoint
UVRect | uvRect
Real | aspectRatio

## Detailed Description

Information about the position and size of a glyph in a texture.

Definition at line 131 of file OgreFont.h.

## Constructor & Destructor Documentation

Ogre::Font::GlyphInfo::GlyphInfo | ( | CodePoint | id,
|  | const UVRect & | rect,
|  | Real | aspect
| ) |  |

Definition at line 137 of file OgreFont.h.

## Member Data Documentation

Real Ogre::Font::GlyphInfo::aspectRatio

Definition at line 135 of file OgreFont.h.

CodePoint Ogre::Font::GlyphInfo::codePoint

Definition at line 133 of file OgreFont.h.

UVRect Ogre::Font::GlyphInfo::uvRect

Definition at line 134 of file OgreFont.h.

The documentation for this struct was generated from the following file:

- OgreFont.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:11